%define		_class		Net
%define		_subclass	URL
%define		upstream_name	%{_class}_%{_subclass}

Name:		php-pear-%{upstream_name}
Version:	1.0.15
Release:	%mkrel 11
Summary:	Easy parsing of URLs
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/Net_URL/
Source0:	http://download.pear.php.net/package/%{upstream_name}-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
BuildArch:	noarch
BuildRequires:	php-pear

%description
Provides easy parsing of URLs and their constituent parts.

%prep
%setup -q -c
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml

%install
cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/doc
rm -rf %{buildroot}%{_datadir}/pear/test

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%files
%doc %{upstream_name}-%{version}/docs/*
%{_datadir}/pear/%{_class}
%{_datadir}/pear/packages/%{upstream_name}.xml


%changelog
* Wed Feb 17 2016 luigiwalser <luigiwalser> 1.0.15-11.mga6
+ Revision: 964637
- fix file list the correct way

* Wed Feb 17 2016 umeabot <umeabot> 1.0.15-10.mga6
+ Revision: 964500
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.15-9.mga5
+ Revision: 740238
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.15-8.mga5
+ Revision: 687394
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.15-7.mga5
+ Revision: 517104
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.15-6.mga3
+ Revision: 377047
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 spuhler <spuhler> 1.0.15-5.mga1
+ Revision: 27989
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Net_URL

